Subject: Re: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Feb 2020 14:02:56 +0200

> From: Mike FABIAN <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Feb 2020 12:41:02 +0100
> 
> > Q:What about applications that don't support variation sequences?
> > 
> > A: Applications not supporting variation sequences should act as if the
> > variation selector is not present. That normally applies to all text
> > processes such as searching, sorting, parsing, and so forth.
> 
> So probably  Ⓜ︎ U+24C2 U+FE0E should not display U+FE0E as a box, as you
> say it should exactly display as just Ⓜ U+24C2.

You can control this via glyphless-char-display.  The thin 1-pixel
space is just the current default, and we could change that default if
we think it's better not to display the variation selectors at all.
It's just that the "Emacsy" way is not to conceal any characters from
the user, so the current default was chosen to follow that.